## ros-rolling-launch-ros 0.17.0

=== debian/changelog ===
ros-rolling-launch-ros (0.17.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 14 Dec 2021 05:00:00 -0000

ros-rolling-launch-ros (0.16.0-1focal) focal; urgency=high

  * fix bug in warning when an entry point fails to load (#243 <https://github.com/ros2/launch_ros/issues/243>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>)
  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Set parameters from file for composable nodes (#281 <https://github.com/ros2/launch_ros/issues/281>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Update node name matcher (#282 <https://github.com/ros2/launch_ros/issues/282>)
  * Support both parameter file configurations for composable nodes (#259 <https://github.com/ros2/launch_ros/issues/259>)
  * Contributors: Aditya Pande, Audrow Nash, David V. Lu!!, Jacob Perron, Michel Hidalgo, Rebecca Butler, William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 29 Nov 2021 05:00:00 -0000

ros-rolling-launch-ros (0.15.0-1focal) focal; urgency=high

  * Handle substitutions in RosTimer (#264 <https://github.com/ros2/launch_ros/issues/264>)
  * Add SetParametersFromFile action (#260 <https://github.com/ros2/launch_ros/issues/260>)
  * Properly support ros_args attribute through launch frontends (#253 <https://github.com/ros2/launch_ros/issues/253>)
  * Add 'push_ros_namespace' alias to 'push-ros-namespace' (#250 <https://github.com/ros2/launch_ros/issues/250>)
  * Add ros_arguments option to Node action (#249 <https://github.com/ros2/launch_ros/issues/249>)
  * Refactor RosTimer to extend TimerAction (#248 <https://github.com/ros2/launch_ros/issues/248>)
  * ROS Timer Action (#244 <https://github.com/ros2/launch_ros/issues/244>)
  * Support container in frontend (#235 <https://github.com/ros2/launch_ros/issues/235>)
  * Fix a small typo in a comment (#237 <https://github.com/ros2/launch_ros/issues/237>)
  * Better document parameter handling in Node (#234 <https://github.com/ros2/launch_ros/issues/234>)
  * Contributors: Aditya Pande, Chris Lalancette, Christophe Bedard, Felix Divo, Jacob Perron, Kenji Miyake, Rebecca Butler

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Oct 2021 04:00:00 -0000

ros-rolling-launch-ros (0.14.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 04:00:00 -0000

ros-rolling-launch-ros (0.14.1-1focal) focal; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Apr 2021 04:00:00 -0000

ros-rolling-launch-ros (0.14.0-1focal) focal; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 04:00:00 -0000

ros-rolling-launch-ros (0.13.0-1focal) focal; urgency=high

  * Make sure ParameterFile __del__ works without exception. (#212 <https://github.com/ros2/launch_ros/issues/212>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 05:00:00 -0000

ros-rolling-launch-ros (0.12.0-1focal) focal; urgency=high

  * Fix docblock in LoadComposableNodes (#207 <https://github.com/ros2/launch_ros/issues/207>)
  * Validate complex attributes of 'node' action (#198 <https://github.com/ros2/launch_ros/issues/198>)
  * Node.__init__() executable and ComposableNode.__init__() plugin arguments aren't optional (#197 <https://github.com/ros2/launch_ros/issues/197>)
  * Remove constructors arguments deprecated since Foxy (#190 <https://github.com/ros2/launch_ros/issues/190>)
  * Make name and namespace mandatory in ComposableNodeContainer, remove deprecated alternatives (#189 <https://github.com/ros2/launch_ros/issues/189>)
  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
    Update the package.xml files with the latest Open Robotics maintainers
  * Move previous maintainer to <author>
  * Update the package.xml files with the latest Open Robotics maintainers
  * Fix AttributeError when accessing component container name (#177 <https://github.com/ros2/launch_ros/issues/177>)
  * Handle any substitution types for SetParameter name argument (#182 <https://github.com/ros2/launch_ros/issues/182>)
  * Asynchronously wait for load node service response (#174 <https://github.com/ros2/launch_ros/issues/174>)
  * Fix case where list of composable nodes is zero (#173 <https://github.com/ros2/launch_ros/issues/173>)
  * Do not use event handler for loading composable nodes (#170 <https://github.com/ros2/launch_ros/issues/170>)
  * Fix race with launch context changes when loading composable nodes (#166 <https://github.com/ros2/launch_ros/issues/166>)
  * Substitutions in parameter files (#168 <https://github.com/ros2/launch_ros/issues/168>)
  * Fix documentation typo (#167 <https://github.com/ros2/launch_ros/issues/167>)
  * Fix problems when parsing a Command Substitution as a parameter value (#137 <https://github.com/ros2/launch_ros/issues/137>)
  * Add a way to set remapping rules for all nodes in the same scope (#163 <https://github.com/ros2/launch_ros/issues/163>)
  * Resolve libyaml warning when loading parameters from file (#161 <https://github.com/ros2/launch_ros/issues/161>)
  * Fix ComposableNode ignoring PushRosNamespace actions (#162 <https://github.com/ros2/launch_ros/issues/162>)
  * Add a SetParameter action that sets a parameter to all nodes in the same scope (#158 <https://github.com/ros2/launch_ros/issues/158>)
  * Make namespace parameter mandatory in LifecycleNode constructor (#157 <https://github.com/ros2/launch_ros/issues/157>)

