=== debian/control ===
Source: ros-rolling-launch-ros
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-importlib-metadata, python3-pytest, python3-yaml, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-index-python, ros-rolling-ament-pep257, ros-rolling-composition-interfaces, ros-rolling-launch, ros-rolling-lifecycle-msgs, ros-rolling-osrf-pycommon, ros-rolling-rclpy, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-yaml, ros-rolling-ament-index-python, ros-rolling-composition-interfaces, ros-rolling-launch, ros-rolling-lifecycle-msgs, ros-rolling-osrf-pycommon, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: ROS specific extensions to the launch tool.
