## ros-rolling-launch-ros 0.26.2

=== debian/changelog ===
ros-rolling-launch-ros (0.26.2-1jammy) jammy; urgency=high

  * Create py.typed to mark this library as typed (#379 <https://github.com/ros2/launch_ros/issues/379>)
  * Contributors: Jonas Otto

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch-ros (0.26.1-1jammy) jammy; urgency=high

  * Remove create_future implementation. (#372 <https://github.com/ros2/launch_ros/issues/372>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch-ros (0.26.0-1jammy) jammy; urgency=high

  * cache lookup of importlib metadata in Node action (#365 <https://github.com/ros2/launch_ros/issues/365>)
  * Get rid of unnecessary checks in composable_node_container. (#364 <https://github.com/ros2/launch_ros/issues/364>)
  * Contributors: Chris Lalancette, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch-ros (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch-ros (0.24.0-1jammy) jammy; urgency=high

  * Use SomeEntitiesType for type checking. (#358 <https://github.com/ros2/launch_ros/issues/358>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch-ros (0.23.0-1jammy) jammy; urgency=high

  * Fix normalize_parameters_dict for multiple nodes in the same namespace (#347 <https://github.com/ros2/launch_ros/issues/347>)
  * Implement None check for ComposableNodeContainer (#341 <https://github.com/ros2/launch_ros/issues/341>)
  * Add LifecyleTransition action (#317 <https://github.com/ros2/launch_ros/issues/317>)
  * Improve evaluate_paramenter_dict exceptions error message (#320 <https://github.com/ros2/launch_ros/issues/320>)
  * Ensure load_composable_nodes respects condition (#339 <https://github.com/ros2/launch_ros/issues/339>)
  * fix: return text value to avoid exception (#338 <https://github.com/ros2/launch_ros/issues/338>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Alexey Merzlyakov, Audrow Nash, Christoph Hellmann Santos, Daisuke Nishimatsu, Felipe Gomes de Melo, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch-ros (0.22.0-1jammy) jammy; urgency=high

  * RosTimer -> ROSTimer and PushRosNamespace -> PushROSNamespace, to follow PEP8 (#326 <https://github.com/ros2/launch_ros/issues/326>)
  * add SetROSLogDir action (#325 <https://github.com/ros2/launch_ros/issues/325>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch-ros (0.21.0-1jammy) jammy; urgency=high

  * Support default values in parameter substitution (#313 <https://github.com/ros2/launch_ros/issues/313>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch-ros (0.20.0-1jammy) jammy; urgency=high

  * Run condition for composable nodes (#311 <https://github.com/ros2/launch_ros/issues/311>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch-ros (0.19.2-1jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#307 <https://github.com/ros2/launch_ros/issues/307>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-launch-ros (0.19.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-launch-ros (0.19.0-1jammy) jammy; urgency=high

  * Use correct namespace when evaluating parameter files for composable nodes (#303 <https://github.com/ros2/launch_ros/issues/303>)
  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-launch-ros (0.18.0-1jammy) jammy; urgency=high

  * Add parameter substitution (#297 <https://github.com/ros2/launch_ros/issues/297>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-launch-ros (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-launch-ros (0.16.0-1jammy) jammy; urgency=high

  * fix bug in warning when an entry point fails to load (#243 <https://github.com/ros2/launch_ros/issues/243>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>)
  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Set parameters from file for composable nodes (#281 <https://github.com/ros2/launch_ros/issues/281>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Update node name matcher (#282 <https://github.com/ros2/launch_ros/issues/282>)
  * Support both parameter file configurations for composable nodes (#259 <https://github.com/ros2/launch_ros/issues/259>)
  * Contributors: Aditya Pande, Audrow Nash, David V. Lu!!, Jacob Perron, Michel Hidalgo, Rebecca Butler, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-rolling-launch-ros (0.15.0-1jammy) jammy; urgency=high

  * Handle substitutions in RosTimer (#264 <https://github.com/ros2/launch_ros/issues/264>)
  * Add SetParametersFromFile action (#260 <https://github.com/ros2/launch_ros/issues/260>)
  * Properly support ros_args attribute through launch frontends (#253 <https://github.com/ros2/launch_ros/issues/253>)

